Security Enhanced Linux Reference Policy

# Layer: contrib

## Module: hadoop

Interfaces Templates

### Description:

Software for reliable, scalable, distributed computing.

### Interfaces:

hadoop_admin( domain , role )

##### Summary

All of the rules required to administrate an hadoop environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

hadoop_domtrans( domain )

##### Summary

Execute hadoop in the hadoop domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

hadoop_domtrans_zookeeper_client( domain )

##### Summary

Execute zookeeper client in the zookeeper client domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

hadoop_domtrans_zookeeper_server( domain )

##### Summary

Execute zookeeper server in the zookeeper server domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

hadoop_exec_config( domain )

##### Summary

Execute hadoop configuration files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

hadoop_initrc_domtrans_zookeeper_server( domain )

##### Summary

Execute zookeeper server in the zookeeper domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

hadoop_match_lan_spd( domain )

##### Summary

Match hadoop lan association.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

hadoop_read_config( domain )

##### Summary

Read hadoop configuration files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

hadoop_recvfrom( domain )

##### Summary

Receive from hadoop peer.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

hadoop_recvfrom_datanode( domain )

##### Summary

Receive from datanode peer.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

hadoop_recvfrom_jobtracker( domain )

##### Summary

Receive from jobtracker peer.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

hadoop_recvfrom_namenode( domain )

##### Summary

Receive from namenode peer.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

hadoop_recvfrom_secondarynamenode( domain )

##### Summary

Receive from secondary namenode peer.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

hadoop_recvfrom_tasktracker( domain )

##### Summary

Receive from tasktracker peer.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

hadoop_recvfrom_zookeeper_client( domain )

##### Summary

Receive from zookeeper peer.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

hadoop_recvfrom_zookeeper_server( domain )

##### Summary

Receive from zookeeper server peer.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

hadoop_role( role , domain )

##### Summary

Role access for hadoop.

##### Parameters

Parameter: | Description:
--- | ---
role | Role allowed access.
domain | Domain allowed access.

Return

### Templates:

hadoop_domain_template( domain_prefix )

##### Summary

The template to define a hadoop domain.

##### Parameters

Parameter: | Description:
--- | ---
domain_prefix | Domain prefix to be used.

Return